Create a Consumer User Event

## POST Consumer User Events `/events/consumer/user` endpoint allows you to operate on the Consumer User Events entity. User events are created after the initial `POST /consumer/users` call (which creates a user) and are used to: * Update the STATE and KYC Status of the user, using the `userStateDetails` or `kycStatusDetails` field * Update the user details, using the `updatedConsumerUserAttributes` field. > If you have neither of the above two use cases, you do not need to use user events. ### Payload Each user event needs three mandatory fields: * `timestamp`- the timestamp of when the event was created or occured in your system * `userId` - The ID of the transaction for which this event is generated. In order to make individual events retrievable, you also need to pass in a unique `eventId` to the request body.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Query parameters

allowUserTypeConversionenumOptional
Boolean string whether Flagright should allow a Consumer user event to be applied to a Business user with the same user ID. This will converts a Business user to a Consumer user.
Allowed values:
lockKycRiskLevelenumOptional
Boolean string whether Flagright should lock the KYC risk level for the user.
Allowed values:
lockCraRiskLevelenumOptional
Boolean string whether Flagright should lock the CRA risk level for the user.
Allowed values:
changeUserIdenumOptional

Boolean string whether Flagright should change userId of the user. (Note: Only allowed for users with no associated transactions).

Allowed values:

Request

timestampdoubleRequired315529200000-4133890801000
Timestamp of the event
userIdstringRequired>=1 character
Transaction ID the event pertains to
eventIdstringOptional
Unique event ID
reasonstringOptional
Reason for the event or a state change
eventDescriptionstringOptional
Event description
updatedConsumerUserAttributesobjectOptional
Model for User details
newUserIdstringOptional>=1 character

New userId for the existing user (keep in mind all of the future requests for this user will now reference this userId). Requires the changeUserId queryparam to come in affect.

Response

Created
userIdstring>=1 character
Unique user ID
createdTimestampdouble315529200000-4133890801000
Timestamp when userId is created
activatedTimestampdoubleOptional315529200000-4133890801000
Timestamp when user was activated
userDetailsobjectOptional
Model for consumer user personal details
userStateDetailsobjectOptional
kycStatusDetailsobjectOptional
eoddDatedoubleOptional315529200000-4133890801000
employmentStatusenumOptional
occupationstringOptional
legalDocumentslist of objectsOptional

User’s legal identity documents - See Document Model for details

contactDetailsobjectOptional
Model for business user contact information details
employmentDetailsobjectOptional
Details of User's employment
transactionLimitsobjectOptional
Model for transaction limits for a given user
expectedIncomeobjectOptional
Model for expected income details
expectedTransactionCountriesobjectOptional
Model for expected transaction countries
expectedTransactionCurrenciesobjectOptional
Model for expected transaction currencies
riskLevelenumOptional
kycRiskLevelenumOptional
acquisitionChannelenumOptional
Model for User acquisition channel
reasonForAccountOpeninglist of stringsOptional
sourceOfFundslist of enumsOptional
userSegmentenumOptional
pepStatuslist of objectsOptional
sanctionsStatusbooleanOptional
adverseMediaStatusbooleanOptional
corporateEntitieslist of objectsOptional
Corporate entities of the user
linkedEntitiesobjectOptional
savedPaymentDetailslist of objectsOptional
tagslist of objectsOptional
Additional information that can be added via tags
attachmentslist of objectsOptional
Uploaded user's attachment
metaDataobjectOptional
Model for device data
jurisdictionstringOptional
Legal authority or region governing the transaction
productsEnabledlist of objectsOptional
executedRuleslist of objectsOptional
hitRuleslist of objectsOptional
riskScoreDetailsobjectOptional
messagestringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error